from django.urls import path
from statement.views import StatementCreateView
from transaction.views import TransactionMonthView

from . import views

urlpatterns = [
    path("new", views.AccountCreateView.as_view(), name="new_account"),
    path("<account>", views.AccountUpdateView.as_view(), name="account"),
    path(
        "<account>/transactions",
        views.AccountTListView.as_view(),
        name="account_transactions",
    ),
    path(
        "<account>/statements",
        views.AccountSListView.as_view(),
        name="account_statements",
    ),
    path(
        "<account>/statement",
        StatementCreateView.as_view(),
        name="new_statement",
    ),
    path(
        "<account>/delete",
        views.AccountDeleteView.as_view(),
        name="del_account",
    ),
    path(
        "<account>/history/<int:year>/<int:month>",
        TransactionMonthView.as_view(),
        name="transaction_month",
    ),
]
